--[[ App for building an underwater Pipe
--written by TheLux
--Check https://i.redd.it/swn3e9w8dyc31.jpg to see
--the references for the numbers]]

--- Check if the fvcircles API is present
-- and load it. We need it
if not os.loadAPI('fvcircles.lua') then
  error('Error! fvcircles.lua is missing. Please insert it into turtle.')
end

print("How many pipes do you want to build: ")
local pipes = read()

print("What should be the outer Material (ex. glass): ")
local omaterial = read()

print("What should be the inner Material (ex. sand): ")
local imaterial = read()

print("Building a " .. pipes .. " blocks long tunnel")
for i = 1, pipes do
  turtle.down()
  fvcircles.fvcircle5(omaterial, imaterial, pipes)
end

print("Done build the tunnel")
